//
//  AppDelegate.h
//  GL_Shippy
//
//  Created by Giles Williams on Fri Oct 10 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class Universe;

@interface AppDelegate : NSObject
{
    Universe	*universe;
    NSDate	*old_time;
    double	delta_t;
    
    NSTimer	*timer;
    NSRunLoop	*runloop;
    NSArray	*modes;
    NSView	*gameView;
}

- (void) setGameView:(NSView *)view;
- (void) updateTiming;
- (void) doStuff: (id)sender;

- (Universe *) universe;
- (void) setUniverse:(Universe *) theUniverse;

@end
